# $Revision: 1.11 $, $Date: 2007/04/01 01:03:52 $
Summary:	Driver for SGS Thomson fingerprint reader
Summary(pl.UTF-8):	Sterownik do czytników odcisków palców SGS Thomson
Name:		thinkfinger
Version:	0.3
Release:	1
License:	GPL
Group:		Base
Source0:	http://dl.sourceforge.net/thinkfinger/%{name}-%{version}.tar.gz
# Source0-md5:	588565233bcbea5ff0a7f5314361c380
URL:		http://thinkfinger.sourceforge.net
BuildRequires:	libusb-devel
BuildRequires:	pam-devel >= 0.99.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ThinkFinger is a driver for the SGS Thomson Microelectronics
fingerprint reader found in most IBM/Lenovo ThinkPads.

%description -l pl.UTF-8
ThinkFinger to sterownik do czytników odcisków palców SGS Thomson
Microelectronics, jakie można znaleźć w większości ThinkPadów
IBM/Lenovo.

%package devel
Summary:	Header files for thinkfinger
Summary(pl.UTF-8):	Pliki nagłówkowe thinkfinger
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for thinkfinger.

%description devel -l pl.UTF-8
Pliki nagłówkowe thinkfinger.

%package static
Summary:	Static thinkfinger libraries
Summary(pl.UTF-8):	Statyczne biblioteki thinkfinger
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static thinkfinger libraries.

%description static -l pl.UTF-8
Statyczne biblioteki thinkfinger.

%package -n pam-pam_thinkfinger
Summary:	A PAM module - thinkfinger
Summary(pl.UTF-8):	Moduł PAM thinkfinger
Group:		Base
Requires:	%{name} = %{version}-%{release}
Requires:	pam-libs >= 0.99.1.0

%description -n pam-pam_thinkfinger
A PAM module - thinkfinger.

%description -n pam-pam_thinkfinger -l pl.UTF-8
Moduł PAM thinkfinger.

%prep
%setup -q

%build
%configure \
	--enable-pam \
	--with-securedir=/%{_lib}/security

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pam_thinkfinger

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# fix la paths
sed -i -e 's#/%{_lib}/libpam.la#%{_libdir}/libpam.la#g' $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/*.so.?
%dir %{_sysconfdir}/pam_thinkfinger
%{_mandir}/man1/tf-tool.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/libthinkfinger.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%files -n pam-pam_thinkfinger
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/*.so
%{_mandir}/man8/pam_thinkfinger.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: thinkfinger.spec,v $
Revision 1.11  2007/04/01 01:03:52  arekm
- up to 0.3

Revision 1.10  2007/03/03 15:47:23  sls
- added missing __make in build section

Revision 1.9  2007/02/24 13:06:24  arekm
- rel 2; fix pam path in la files

Revision 1.8  2007/02/24 12:24:55  arekm
- rel 1

Revision 1.7  2007/02/24 06:32:37  sls
- ver. 0.2.2
- added man files
- fixed included headers

Revision 1.6  2007/02/13 22:03:44  qboosh
- pl
- soname symlink as ghost
- fixed static

Revision 1.5  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.3  2007/01/30 11:25:39  arekm
BR libusb-devel

Revision 1.2  2007/01/30 11:20:28  arekm
- update deps

Revision 1.1  2007/01/30 11:18:28  arekm
- initial
